Project Chrono: chrono::sensor::ChFilterCameraNoisePixDep Class Reference

Public Member Functions | List of all members
chrono::sensor::ChFilterCameraNoisePixDep Class Reference
SENSOR module » Sensor Filters

## Description

A filter that adds pixel dependent gaussian noise across an image. Method summarized in paper: ().

`#include <ChFilterCameraNoise.h>`

Inheritance diagram for chrono::sensor::ChFilterCameraNoisePixDep:
[legend]
Collaboration diagram for chrono::sensor::ChFilterCameraNoisePixDep:
[legend]

## Public Member Functions
| ChFilterCameraNoisePixDep (float variance_slope, float variance_intercept, std::string name="ChFilterCameraNoisePixDep")
| Class constructor.
virtual void | Apply ()
| Apply function. Adds uniform Gaussian noise to an image.
virtual void | Initialize (std::shared_ptr< ChSensor > pSensor, std::shared_ptr< SensorBuffer > &bufferInOut)
| Initializes all data needed by the filter access apply function.
Public Member Functions inherited from chrono::sensor::ChFilter
virtual | ~ChFilter ()
| Virtual class desctructor.
std::string & | Name ()
| Accesses the name of the filter.

## Additional Inherited Members
Protected Member Functions inherited from chrono::sensor::ChFilter
| ChFilter (std::string name)
| protected constructor for the filter which requires a name as input.
void | InvalidFilterGraphNullBuffer (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: null buffer found.
void | InvalidFilterGraphBufferTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.
void | InvalidFilterGraphSensorTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.

## Constructor & Destructor Documentation

## ◆ ChFilterCameraNoisePixDep()

chrono::sensor::ChFilterCameraNoisePixDep::ChFilterCameraNoisePixDep | ( | float | variance_slope,
|  | float | variance_intercept,
|  | std::string | name = "ChFilterCameraNoisePixDep" )

Class constructor.

Parameters

  variance_slope | The standard deviation of the multiplicative noise
  variance_intercept | The standard deviation of the additive noise
  name | The string name of the filter.

## Member Function Documentation

## ◆ Apply()

CH_SENSOR_API void chrono::sensor::ChFilterCameraNoisePixDep::Apply | ( |  | ) |
| virtual

Apply function. Adds uniform Gaussian noise to an image.

Implements chrono::sensor::ChFilter.

## ◆ Initialize()

CH_SENSOR_API void chrono::sensor::ChFilterCameraNoisePixDep::Initialize | ( | std::shared_ptr< ChSensor > | pSensor,
|  | std::shared_ptr< SensorBuffer > & | bufferInOut )
| virtual

Initializes all data needed by the filter access apply function.

Parameters

  pSensor | A pointer to the sensor on which the filter is attached.
  bufferInOut | A buffer that is passed into the filter. This data is what will be made available for the user.

Implements chrono::sensor::ChFilter.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/filters/ChFilterCameraNoise.h
- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/filters/ChFilterCameraNoise.cpp